Metacat - Task #6433

Test Metacat on tomcat7
02/28/2014 10:54 AM - Jing Tao

Status: Closed Start date: 02/28/2014
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 242 Spent time: 0.00 hour
Description

Aaron from UW installed a Metacat instance on tomcat7 (Ubuntu 12). But a user can't log in when a Morpho connected it.

It turned out that the header sending back from tomcat 7 is:" JSESSIONID=whatever; Path=/metacat; HttpOnly" and the Morpho can't
understand "HttpOnly".

We edit the context.xml in the tomcat conf directory: <Context useHttpOnly="false">

Then the log-in worked. But the morpho always freeze. If morpho connects to a metacat running under tomcats, it is fine.

History

#1 - 03/12/2014 12:11 PM - ben leinfelder

- Target version set to 2.5.0

#2 - 03/12/2014 12:13 PM - Jing Tao

Update: after Aaron downgraded its tomcat to 6, morpho 10.1 still has the frozen issue.

#3 - 11/13/2014 02:56 PM - Jing Tao
- Target version changed from 2.5.0 to 2.4.2

#4 - 11/13/2014 03:27 PM - Jing Tao

- Status changed from New to In Progress

We need to document the change:

in /var/lib/tomcat7/conf/context.xml, we need an attribute - useHttpOnly and set it to false for the element Context:
<Context useHttpOnly="false">

#5 - 11/19/2014 05:48 PM - Jing Tao
- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

Document what need to be done in order to make morpho access metacat.
